Check Point Capsule Workspace App 8.x on Android buffer overflow

A vulnerability was found in Check Point Capsule Workspace App 8.x on Android (Android App Software) and classified as critical. This issue affects an unknown part. Upgrading to version 8.2.2 eliminates this vulnerability.

Field07/19/2022 11:35 AM08/06/2022 02:19 PM
vendorCheck PointCheck Point
nameCapsule Workspace AppCapsule Workspace App
version8.x8.x
platformAndroidAndroid
cwe120 (buffer overflow)120 (buffer overflow)
risk22
cvss3_vuldb_acLL
cvss3_vuldb_uiNN
cvss3_vuldb_sUU
cvss3_vuldb_cLL
cvss3_vuldb_iLL
cvss3_vuldb_aLL
cvss3_vuldb_rlOO
cvss3_vuldb_rcCC
urlhttps://supportcenter.us.checkpoint.com/supportcenter/portal?eventSubmit_doGoviewsolutiondetails=&solutionid=sk179646https://supportcenter.us.checkpoint.com/supportcenter/portal?eventSubmit_doGoviewsolutiondetails=&solutionid=sk179646
nameUpgradeUpgrade
upgrade_version8.2.28.2.2
cveCVE-2022-23745CVE-2022-23745
cve_assigned1642546800 (01/19/2022)1642546800 (01/19/2022)
cve_nvd_summaryA potential memory corruption issue was found in Capsule Workspace Android app (running on GrapheneOS). This could result in application crashing but could not be used to gather any sensitive information.A potential memory corruption issue was found in Capsule Workspace Android app (running on GrapheneOS). This could result in application crashing but could not be used to gather any sensitive information.
date1658181600 (07/19/2022)1658181600 (07/19/2022)
typeAndroid App SoftwareAndroid App Software
cvss2_vuldb_acLL
cvss2_vuldb_ciPP
cvss2_vuldb_iiPP
cvss2_vuldb_aiPP
cvss2_vuldb_rcCC
cvss2_vuldb_rlOFOF
cvss2_vuldb_avAA
cvss2_vuldb_auSS
cvss2_vuldb_eNDND
cvss3_vuldb_avAA
cvss3_vuldb_prLL
cvss3_vuldb_eXX
cvss2_vuldb_basescore5.25.2
cvss2_vuldb_tempscore4.54.5
cvss3_vuldb_basescore5.55.5
cvss3_vuldb_tempscore5.35.3
cvss3_meta_basescore5.56.5
cvss3_meta_tempscore5.36.4
price_0day$0-$5k$0-$5k
cvss3_nvd_avN
cvss3_nvd_acL
cvss3_nvd_prN
cvss3_nvd_uiN
cvss3_nvd_sU
cvss3_nvd_cN
cvss3_nvd_iN
cvss3_nvd_aH
cvss3_nvd_basescore7.5

Do you want to use VulDB in your project?

Use the official API to access entries easily!